"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
const index_1 = require("./impl/darwin/index");
const index_2 = require("./impl/linux/index");
const index_3 = require("./impl/win32/index");
const plantform = os.platform();
let impl;
switch (plantform) {
    case 'darwin':
        impl = index_1.default;
        break;
    case 'linux':
        impl = index_2.default;
        break;
    case 'win32':
        impl = index_3.default;
        break;
}
module.exports = impl;
