interface TreeNode {
    id?: number;
    name: string;
    children?: TreeNode[];
}
interface Zone {
    tree(): TreeNode[];
    getZone(): string;
    setZone(zone: string): Promise<any>;
}
interface Time {
    getTime(): number;
    setTime(t: number): void;
}
interface NTP {
    getEnabled(): boolean;
    setEnabled(enable: boolean): void;
    getServer(): string;
    setServer(server: string): Promise<any>;
}
interface TimeZone {
    zone: Zone;
    time: Time;
    ntp: NTP;
}
interface OSConfig {
    timeZone: TimeZone;
}
